Next Commerce
Subscriptions

Subscriptions Lines Update

Update an existing subscription line.

PUT
/subscriptions/{id}/lines/{lineId}/

Authorization

oauth2 subscriptions:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: subscriptions:write

Path Parameters

id*integer

A unique integer value identifying the Subscription.

lineId*integer

A unique integer value identifying the Subscription line.

Header Parameters

X-29next-API-Version*string
Default"unstable"
Value in"unstable"

Request Body

metadata?|
price?string
Match^-?\d{0,10}(?:\.\d{0,2})?$
Formatdecimal
quantity*integer

Response Body

application/json

curl -X PUT "https://example.29next.store/api/admin/subscriptions/0/lines/0/" \
  -H "X-29next-API-Version: unstable" \
  -H "Authorization: Bearer " \
  -H "Content-Type: application/json" \
  -d '{
    "quantity": 0
  }'
{
  "id": 0,
  "metadata": {},
  "price": "string",
  "product_id": 0,
  "product_image": "http://example.com",
  "product_title": "string",
  "product_url": "http://example.com",
  "quantity": 2147483647,
  "sku": "string",
  "variant_id": 0,
  "variant_title": "string"
}